Bug 1929872 - Occasional GCP install failures: Error setting IAM policy for project ...: googleapi: Error 400: Service account ... does not exist., badRequest
Summary: Occasional GCP install failures: Error setting IAM policy for project ...: go...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Patrick Dillon
QA Contact: Yang Yang
URL:
Whiteboard:
Depends On: 1896218
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-17 19:44 UTC by OpenShift BugZilla Robot
Modified: 2021-03-09 20:16 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-09 20:16:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4665 0 None open [release-4.6] Bug 1929872: remove GCP role bindings before service accounts 2021-02-17 20:42:03 UTC
Red Hat Product Errata RHBA-2021:0674 0 None None None 2021-03-09 20:16:09 UTC

Comment 3 Yang Yang 2021-03-02 08:18:49 UTC
Verified with 4.6.0-0.nightly-2021-03-01-051748

While cluster installs, start a loop to create and delete a service account. Eventually, the cluster is installed successfully w/o IAM error.

In one terminal, create and delete a service account
$ while true; do gcloud iam service-accounts create yangyang-bz --display-name="yangyang-bz"; sleep 1; gcloud projects add-iam-policy-binding openshift-qe --member=serviceAccount:yangyang-bz@openshift-qe.iam.gserviceaccount.com --role=roles/compute.instanceAdmin; sleep 2; gcloud projects remove-iam-policy-binding openshift-qe --member=serviceAccount:yangyang-bz@openshift-qe.iam.gserviceaccount.com --role=roles/compute.instanceAdmin; sleep 1; echo 'Y' | gcloud iam service-accounts delete yangyang-bz@openshift-qe.iam.gserviceaccount.com; done

In another terminal, create cluster:
$ openshift-install create cluster

Moving it to verified state.

Comment 5 errata-xmlrpc 2021-03-09 20:16:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.20 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0674


Note You need to log in before you can comment on or make changes to this bug.